


iRacingToolkit Release notes 
----------------------------

IMPORTANT:
----------

Controller configs and app settings are reset to default with each new version and must be reconfigured on first run.

If you wish to keep your existing iRacingAutoPit log and DB data you will need to copy the following files from your existing installation folder into the root iRacingToolkit\ folder:

- iRacingAutoPit-data.log			>>> app will auto-rename to >>>		iRacingToolkit-data.log
- iRacingAutoPit-sessions.log		>>>	app will auto-rename to >>>		iRacingToolkit-sessions.log
- iRacingAutoPit-DB-120.sqlite3		>>> app will auto-rename to >>>		iRacingToolkit-DB-120.sqlite3

Note the following files should be backed up and restored to the root folder when doing a fresh install in future.

iRacingToolkit-data.log
iRacingToolkit-sessions.log
iRacingToolkit-DB-120.sqlite3
iRacingToolkit-RPMdata.log

Known Issues
------------

- Assigning buttons on some wheels does not work for example, Fanatec DD.
- Does not work with Team racing, though I would have thought it should be able to calculate at least your stint. Havent tested.



Changes in iRacingToolkit Version 3.0.307 (07-MAR-2026)
-------------------------------------------------------

- Integrated iRacingConfig and iRacingAutoPit into new application called iRacingToolkit.
- Added INI tab to main GUI.
- Updated INI tab with latest iRacing in game setting names.
- Updated INI tab toolbars and layout.
- Moved RPM settings into its own data log file rather than app settings so they can be easily migrated to new vesions in future.
- Improved RPM beep logic.
- Greyed out controller options instead of completing hiding the settings when controller bindings turned off.
- Changed dashboard laps/time remaing to alternate every 10 seconds.
- Recompiled underlying sdkwrapper code to improve session yaml processing.
- Further optimized iRacingToolkit to use lower average CPU usage.
- Reworked the core code logic to hopefully make it more reliable and consistent.
- Optimsed the telemetry mouse over, playback and replay link code to improve its performance.
- Improved chat message send logic to make it more stable and added 'chat activate delay' to settings.
- Moved DB backups to 'Backups' folder.
- Update the real life driver name detection for 2026.
- Added PitRepairNeeded/PitOptRepairNeeded to session logs and DB. Laps completed with these will be discarded for average calcs.
- Added a spoken voice option for some of the button binding toggles so dont have to look at chat messages while driving.
- Added a couple more "box box" voice variations.
- Added some more info to the fuel estimates in session logs to indicate if rolling start fuel has been added.
- Added latest real life driver names to the session logs if detected.
- Fixed bug where controller was still polled when bindings where turned off.
- Fixed some issue with button mappings not always working when iRTK lost focus.
- Fixed issue when two iRacingSim64DX11 processes are running and iRTK uses the non active one.
- Fixed issue with degree characters not showing correctly in messages.
- Fixed some spacing issues in chat messages that arose due to new iRacing GUI.
- Fixed a bunch of minor bugs.


Changes in iRacingAutoPit Version 2.0.0.0802 (02-AUG-2025)
----------------------------------------------------------

- Added telemetry play button to play back laps in real-time.
- Added telemetry playback and sync to iRacing replays.
- Added telemetry colour indicators to the car on the track map showing when on throttle or braking.
- Added telemetry option to pop out the track map to a separate window and resize.
- Added telemetry option to show tire temps directly on the cars 4 corners on the track map.
- Added telemetry laps list asterisk to fastest lap of that session.
- Added telemetry lap distance to trackmap.
- Added RPM level beep feature to aid gear changes.
- Added new button mapping to adjust fuel safety margin during race.
- Added new button mapping to discard the current lap for average calculations.
- Added new reports to Database tab and improved editing.
- Added checks in the settings to identify any changes you need to make for iRacingAutopit to work correctly.
- Added warning sound for when iRacing window has lost focus for extended periods.
- Added a clear chat command before iRacingAutopit sends chat messages in case you happen to be typing.
-  Notes: iRacingAutopit always prefixes its message with "#" so that messages only go to you.
-  Notes: If you are typing and iRacingAutopit sends a message it appends to yours but the "#" is not the first character so ends up in normal chat.
-  Notes: The message you were typing will now be lost but at least iRacingAutopit messages will not end up in public chat.
- Improved layout of telemetry tab and processing of ibt files.
- Improved performance of all telemetry charting and trackmap components.
- Improved performance of all queries and searches in the Database tab.
- Improved performance of logs tab when there are a lot of logs.
- Updated main interface navigation to use all icons instead of text.
- Updated the handling of incorrect sim readings. App will no longer need to restart.
- Updated the sound level of some sounds.
- Updated some fuel fill rates.
- Updated GUI icons and generally cleaned up the layout of all tabs.
- Fixed bugs related to app becoming unresponsive when its performing long loading, searching etc.
- Fixed bug in iRacing's Autofuel feature not being detected.
- Fixed bug in pitstop short-fill feature when fuel safety was less than 1 lap.
- Fixed bug where message says no laps found immediately after doing laps and getting out of car.
- Fixed bug in async logging not always flushing logs to file on exit.
- Fixed some exception logging that was filling the log.
- Fixed many minor bugs and improved performance of most of the code.


Changes in iRacingAutoPit  v1.4.1.2604 (26-APR-2025)
-----------------------------------------------------

 - Added new button mapping for fuel safety margin and discarding of laps for average calculations.
 - Added current fuel and lap time averages used to main lap log tab.
 - Added pitstop summary message to fire immediately after pitstop completes.
 - Added async logging to app log to improve performance and minimize any delays in main telemetry update loop.
 - Added disconnect sound when app disconnects from iRacing.
 - Updated minimum fuel safety margin to 0.5.
 - Updated app .Net to 4.8 and SQL Lite dlls to the latest.
 - Updated 'fuels tight' message to include how much fuel add will be if splash and dash required.
 - Updated check for sim mode is replay so that iRacingAutoPit minimizes processing.
 - Updated strategy message to handle rare case where fixed setup fuel is higher than tank max.
 - Updated very slow speed detection to be a little more sensitive.
 - Updated check for inaccurate fuel sim readings and iRacingAutoPit restarts to catch zero fuel better.
 - Updated strategy message to show when out of car regardless of if you have message button mapped.
 - Fixed bug where strategy message would not show if garage screen was open.
 - Fixed bug where strategy message was sometimes shown after race completed.


Changes in iRacingAutoPit  v1.4.0.0202 (02-FEB-2025)
-----------------------------------------------------

 - Added new fuel and lap remaining calculations to take into account track wetness.
 - Added track wetness change notifications.
 - Added track wetness to lap logs for each lap listed.
 - Added track wetness columns to database tab for laps and sessions.
 - Added track wetness to telemetry lap headings.(Pre rain telemetry files will need to be reprocessed to appear. Delete '!Ignore-ibt-files-already-processed' in the telemetry folder to allow this.)
 - Added track wetness to session label on dashboard.
 - Added pit lane length and speed limit detection to improve timed race laps remaining calculations.
 - Added car fuel fill rates to improve timed race laps remaining calculations.
 - Added auto fuel safety laps override for races that are fixed laps if pitting with only a few laps remaining.
 - Added suffix option to startup or close exes in the settings tab. See tooltip for info.
 - Added a check and warning if iRacing AutoFuel feature is enabled.
 - Added warning when start fuel is much lower than pitstop strategy suggestion, such as when forgetting to reset after low fuel qualifying.
 - Added seconds behind leader, driver ahead and driver behind to lap log.
 - Added option to turn on/off "box this lap" voice.
 - Added extra fuel to fuel strategy recommendation if its not a standing start. Is set to 0.75 of average fuel full lap.
 - Added strategy info when on the grid before the start of the race and pressing the show messages mapped button.
 - Added a fix for change of tires if button mapped through iRacingAutoPit. Previously selected compound is now remember and applied.
 - Added a fix for invalid fuel values recorded in the DB. 
 - Added max telemetry files to load setting.
 - Telemetry tab now remembers if you had previously selected tire temp metric in the display on restart.
 - Change the way 'fuel add' is set for cars with large fuel add increments. If the 'Fuel Add' falls on the low side its auto increased to the next increment on pit approach and the fuel will be auto unchecked when amount needed reached.
 - Change the way averages are calculated with later laps having more weight than earlier laps. Note this varies depending on the track conditions especially if raining.
 - Changed many fuel/lap remaining calculations to be more precise and allow easier management of fuel towards the end of a stint or race where time remaining or fuel are at the margins.
 - Changed the way clean laps are detected for calculation purposes. If an offtrack occurs for less than 1 second then it will still be considered a clean lap.
 - Updated DB report for average laptimes to group laps by car, track config and weather.
 - Updated the change all tires macro to use (T,-T) instead of (LF LR RF RR). Note that with the new wet tire compound iracing only allows this macro to work if the same tire is selected!
 - Updated FuelReq in lap log for pitstop to show FuelAdd (ie fuel requested) and FuelAdded (ie fuel actually added)
 - Updated the lap log data to remove non essential session data and make it a little more compact.
 - Updated arrows used in lap logs to make it clearer which tires are being referred to.
 - Reduced number of laps needed for pitstop calculations from 3 to 2 for tracks longer the 10Klm.
 - Reduce the number of backups kept to 15 days from 30. Also the backup on the 1st of each month will not be deleted.
 - Fixed bug in fuel weight not detecting correctly for some cars.
 - Fixed bug in telemetry displaying incorrect track names.
 - Fixed bug where sometimes iRacingAutoPit would fail to restart after iRacing restart.
 - Fixed bug that caused crash on startup due to controller detection.


Changes in iRacingAutoPit  v1.3.0.9013 (01-SEP-2023)
-----------------------------------------------------

 - Added new tab which shows basic telemetry data. Any iRacing ibt files found will be processed after you get out of the car and click into this tab.
 - Added the detection of very slow speed for an extended amout of time during a lap due to a crash or spin so that it is excluded from calculations.
 - Added the word 'Unlikely' to the 'extend stint +1 lap' message if the fuel saving required is very high.
 - Added warning if auto-fuel is off and fuel is required.
 - Added custom sizing of application window for tabs that support it rather than just maximize and default.
 - Added Wind data to the session logs.
 - Added fuel add adjustments for a SCCA Spec Racer Ford to avoid short filling of fuel when the required add amount will cause iRacing to round down.
 - Added option to show fuel messages to two decimal places.
 - Updated .Net Framework used to 4.7.2.
 - Updated fuel calculations to handle a few edge cases were you might not have been given enough fuel.
 - Updated some notification beep sounds when turning fuel/tyres on and off.
 - Changed off-track laps so that they are count towards fuel calculation provided their data is similar to valid laps. 
 - Changed dashboard to toggle between showing time remaining and laps remaining.
 - Changed pitstop strategy calculation to handle fixed setups that have starting fuel less than tank max.
 - Changed the minimum safety fuel allowed to less than 1 lap.
 - Fixed bug in fastest lap times DB report where it would show a laptime as 59:59.
 - Fixed all bugs hopefully that may prevent iRacingAutopit from working on systems that use "," as the their decimal seperator.
 - Fixed bug in dashboard that displayed PIT text earlier than message to pit.
 - Fixed white dashboard tab buttons on Windows 11.
 - Fixed bug where iRacingAutoPit returned incorrect data after iRacing was restarted and iRacingAutoPit was left running.
	iRacingAutopit will always now automatically restart when it detects a disconnect and reconnect of iRacing.


Changes in iRacingAutoPit  v1.2.1.815-Beta
-------------------------------------------

 - Updated race results report to indicate if its a league, official or hosted race result.
 - Changed fuel calculations to show the exact number of laps to 1 decimal place.
 - Changed how 'lap to pit' is calculated slightly to improve accuracy on the shortest and longest tracks in iRacing.
 - Changed the final 'pit this lap' call to be nearer to pit entry regardless of track length.
 - Changed how fuel saving is reported to extend stint. A target number for fuel usage per lap is shown.
 - Added last tire wear reading to logs and split over two lines to more clearly show front and rear.
 - Added a beep sound to indicte when you are a few seconds away from your pit box during a pit stop.
 - Added a AveSpeed, AveThrottle and FullThrottle percent to Laps by track and car report.
 - Added a little extra fuel to pitstop strategy if rolling start.
 - Removed WheelTorAve percent from logs as not very useful. 
 - Fuel is now automatically unchecked a second before you reach your pitbox if you have enough fuel.
 - Fixed fuel fill rate calculation to make it more accurate in all cases.
 - Fixed some 'TimeRemain' display and format issues.
 - Fixed logs to show a more accurate time pitted.
 - Fixed extra lap info to make it simpler and more useful.
 - Fixed bug where Mercedes M12 didnt show fuel in weight.
 - Fixed bug in AI races where races limited by time were not intially detected automatically.
 - Fixed bug in AI races not generating custom session ID.
 = Fixed bug in final position sometimes showing as -1 .
 - Fixed bug where some debug log data was being saved to files in \appdata\roaming.
 - Fixed bug where DB report would load twice when clicking into this tab.

Changes in iRacingAutoPit  v1.2.0.117-Beta
-------------------------------------------

 - Added extra lap, fuel and stop data to second press of 'show last message' button mapping.
 - Updated the tool tip help info on many GUI elements with the latest info. Also increased the length of time the popups remain visible.
 - Fixed bug where 'Automatically fuel car' was off but iRacingAutoPit was still stopping fueling during pitstop if the required fuel was reached.
 - Fixed bug where final race position was not always set to the lastest value in the logs and DB.
 - Fixed bug in the sound options not being saved on exit.


Changes in iRacingAutoPit  v1.2.0.102-Beta
-------------------------------------------

- Added an SQLite database. All data is now saved in a simple database each time you exit the car. You can then view some default reports or create your own.
- Added top speed, ave speed and full throttle % for each lap logged.
- Added support for multiple races in one session such as heat and feature races. Fuel calculation will be for the current race.
- Added fuel required message on session screen for qualifying limited by laps.
- Added more detail to fuel pitstop strategy suggestions.
- Added option to automatically run a list of other exes when iRacingAutoPit first connects to iRacing. Eg. Trading Paints.
- Added detection of any real life driver names in a sessions based on some of the current major series. (Beta feature - will just list the names detected in the lap logs)
- Added option to disable all sounds and change the default beep sound for lap messages.
- Added option to log data only.
- Added some slight variations to "box box" audio messages.
- Added some colouring to the logs to make them easier to read.
- Added decimal increments to the fuel safety margin. 
- Added warning sound when you stop the car outside your pit box in a race.
- Added temporary increase to telemetry updates per sec whilst in pitlane to ensure fueling is stopped ASAP when fuel required is reached. Returns to normal on pit exit.
- Added some additional info when you use any of the assigned buttons while on the main sessions screen and out of the car. E.g AveFuelUsage.
- Changed the way a qualifying session is handled so that race distance simulation is not started. Lap and fuel data will still be saved for race strategy calculations.
- Changed TimeRemain in messages to reflect the very latest value rather then what it was when you completed the last lap.
- Changed the way controller buttons are polled to make them much more responsive. Polling option is now disabled in dashboard.
- Changed Temperature to show as either Celsius or Fahrenheit based on iRacing display units settings. Metric = Celcius, English = Fahrenheit
- Fixed issue where chat messages could end up in another app like Discord if you switched focus away from iRacing. Message will now not be sent unless iRacing is confirmed active and has desktop focus.
- Fixed issue where chat window would remain active after iRacingAutoPit sent message whilst on main session screen. 
- Fixed issue where existing partial message was being typed and was not cleared before iRacingAutoPit sent a message.
- Fixed some issues around delayed lap messages not always working as expected when you set each laps message to be displayed some time after the start finish.
- Fixed issue where race distance laps or mins was not automatically set when entering a session that contains a race.
- Fixed issue where display units where set to metric and a car used imperial gallons would cause fuel figures to be incorrect.
- Fixed issue where iRacingAutoPit process would not close properly after iRacing was closed.
- Fixed bug in TireTemp reading during pitstop where sometimes would get temp of new tires instead of old.
- Fixed bug where no warning was given that controller bindings could not be configured while in car and on track.
- Fixed a few label size issues in the main dashboard if your desktop is set to use slightly higher text size. ie > 100%. 
- Fixed a lot of other minor bugs and generally optimised code to further reduce CPU usage.


Changes in this release v1.1
----------------------------

- Fueling is now automatically stopped once the fuel required is reached rather than waiting for the full fuel interval/increment required by some cars. 
	This could save up to a second or so of time for the stop depending on the car and the amount of fuel required.
	This also means you no longer have to worry about turning off fueling for unplanned stops as it will be unchecked automatically if youve enough fuel to finish.
- Fuel strategy will now always fill the tank if there are 2 or more pitstops remaining. This way the driver can choose thier own strategy for the last stop based on fuel window info.
- Added new settings page to turn off lap notification beeps.
- Added the fuel used last lap in parentheses after "AveLapFuel" so that you can see any fuel saving efforts each lap compared to the average eg. "AveLapFuel 3.5 (3.1)"
- Added new telemetry values to log for each lap and pitstops: DeltaToBestLap, Pitstop Tire temps and wear, Pitstop time, Incidents, Repair times if any.
- Added fuel add adjustments for a bunch of cars that have large fuel increments to avoid short filling of fuel when the required add amount will cause iRacing to round down. 
	Fueling will still be stopped automatically if its enough and its the last stop.
- Added option to specify the maximum percentage of fuel saving possible per tank so that fuel saving is only mentioned if its within the specified percentage.
- Changed fuel saving notifications to show you how much you need to save to extend current stint by one lap as well as overall fuel saving required for the whole race based on the specified max saving percent mentioned above.
- Fixed bug where logs didnt always show the correct fuel added during pitstops.
- Fixed a bug were ocassionally you may have seen the "PitWindowOpens" being 1 lap higher than "LapsUntilStop".
- Fixed bug were "pit this lap" message didnt show the correct state regarding whether the tires were set to be changed or not.
- Fixed bugs that prevented iRacingAutoPit from working properly with PCs in countries that used number formats that use "," instead of "." 
- Increased volume of "Box Box" notification sound.
- Add the ability to maximise the LOGS window.

